
#include "config.h"

#if USE_RFM12
  #ifndef _RFM12_H
	  #define _RFM12_H

    #define  RFM12_IRQ       PD2
    #define  RFM12_CS        PD3
    #define  RFM12_SCK       PD4
    #define  RFM12_SDI       PD5
    #define  RFM12_SDO       PD6

    #define  RFM12_DDR       DDRD
    #define  RFM12_PORT      PORTD
    #define  RFM12_PIN       PIND

    #define  PAKET_LEN       24
    #define  SENSOR_ANZ       6

    volatile uint8_t sensor[SENSOR_ANZ][PAKET_LEN];

    void rfm12_init();
    uint16_t rfm12_send_cmd(uint16_t);
    void rfm12_set_var(void);

  #endif
#endif //USE_RFM12
