/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:
 known Problems: none
 Version:        24.10.2007
 Description:    Timer Routinen

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/
#include "config.h"

#if USE_CLOCK

#include "clock.h"

//----------------------------------------------------------------------------

//Diese Routine liest die Zeitdaten aus der ntp-Struktur
/*
void clock_set (void)
{


}
*/
//----------------------------------------------------------------------------
void clock_inc(void)
{
  char filename[24];

  clock.second++;
  if (clock.second == 60)
    {
      clock.second = 0;
      clock.minute++;
      sprintf_P(filename, PSTR("STOR %02u%02u%02u_%02u%02u.csv\r\n"), clock.year,clock.month,clock.day,clock.hour,clock.minute);
      CLOCK_DEBUG("%s",filename); 

      if (clock.minute == 60)
        {
          clock.minute = 0;
          clock.hour++;
           if (clock.hour == 24)
            {
              clock.hour = 0;
            }   
        }
     }
   CLOCK_DEBUG("Time: %i:%i:%i - ",clock.hour,clock.minute,clock.second); 
   CLOCK_DEBUG("Date: %i.%i.%i\r\n",clock.day,clock.month,clock.year); 
}

#endif
