/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        20.02.2009
 Description:    Html Seiten

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/
#ifndef _WEBPAGE_H
	#define _WEBPAGE_H

//****************************************************************************
//Dateien und Webseiten am ende dieser Seite in Tabelle eintragen !!!!!!!
//****************************************************************************


//----------------------------------------------------------------------------
//Dazustellende Webseite
PROGMEM char Page1[] = {
	"<head>"
	"<meta http-equiv=\"refresh\" content=\"30; URL=index.html\">"
  "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />\r\n"
	"<title>AVR mini Webserver</title>\r\n"
	"<style type=\"text/css\">\r\n"
	
	"<!--\r\n"
	"BODY {	margin: 0 0 0 0; background-color: white; text-align:center; }\r\n"
	"P, DIV, H1, H2 {font-family: verdana, arial; font-size: 11px;}\r\n"
	"H1 {  background-color: #CCCCFF; padding-top:5px; padding-bottom:5px;"
	"font-size: 20px; color: #004060; font-weight:bold; letter-spacing: 8px;"
	"border-top: 2px solid #EEEEEE; border-left: 2px solid #EEEEEE;"
	"border-bottom: 2px solid #004060; border-right: 2px solid #004060;}\r\n"
	"H2 { font-size: 15px; padding-top: 20px; padding-left:50px; padding-right:50px;"
	"color:#004080; font-weight:bold; text-decoration:underline;"
	"border-top: 1px solid #004080;} P, H1, H2 {margin: 0px 0px 5px 0px;}\r\n"
	"-->\r\n"
	
	"</style></head>\r\n"
	"<blockquote>\r\n"
	"<body><div align=\"center\">\r\n"
	"<h1>AVR mini Webserver</h1>\r\n"
	"</div><BR>\r\n"
	
	"<table align=\"center\" width=\"500\" border=\"0\">\r\n"
	"<tr>\r\n"
	"<th scope=\"col\"><p align=\"center\">Raum</p></th>\r\n"
	"<th scope=\"col\"><p align=\"center\">Temperatur</p></th>\r\n"
	"<th scope=\"col\"><p align=\"center\">rel. Feuchte</p></th>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"
	"<td><p align=\"center\">Bastelzimmer</p></td>\r\n"
	"<td><p align=\"center\">%VA@00</p></td>\r\n"
	"<td><p align=\"center\">%VA@01</p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"
	"<td><p align=\"center\">Balkon</p></td>\r\n"
	"<td><p align=\"center\">%VA@02</p></td>\r\n"
	"<td><p align=\"center\">%VA@03</p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"
	"<td><p align=\"center\">Wohnzimmer</p>    </td>\r\n"
	"<td><p align=\"center\">%VA@04</p></td>\r\n"
	"<td><p align=\"center\">%VA@05</p></td>\r\n"
	"</tr>\r\n"
	"<tr>\r\n"
	"<td><p align=\"center\">Keller</p>    </td>\r\n"
	"<td><p align=\"center\">%VA@07</p></td>\r\n"
	"<td><p align=\"center\">%VA@08</p></td>\r\n"
	"</tr>\r\n"
	"<td><p align=\"center\">Schlafzimmer</p>    </td>\r\n"
	"<td><p align=\"center\">%VA@09</p></td>\r\n"
	"<td><p align=\"center\">&nbsp;</p></td>\r\n"
	"</tr>\r\n"
	"<td><p align=\"center\">Gefrierfach</p>    </td>\r\n"
	"<td><p align=\"center\">%VA@10</p></td>\r\n"
	"<td><p align=\"center\">&nbsp;</p></td>\r\n"
	"</tr>\r\n"
	"</tr>\r\n"
	"<td colspan=3><p align=\"center\">&nbsp;</p>    </td>\r\n"
	"</tr>\r\n"
	"</tr>\r\n"
	"<td><p align=\"center\"><B>Luftdruck</B></p>    </td>\r\n"
	"<td colspan=2><p align=\"left\">%VA@06</p></td>\r\n"
	"</tr>\r\n"
	"</table>\r\n"
	
	//Statusseite
	"<BR><BR> <p align=\"left\"> <h2></h2><BR>\r\n"
	"<p><a href=\"Status.htm\">Status</a></p><BR>\r\n"
	
	//Link
	"<BR><BR> <p align=\"left\"> <h2></h2><BR>\r\n"
	"<p><a href=\"http://www.ulrichradig.de\">www.ulrichradig.de</a></p><BR>\r\n"
	"<p align=\"left\">Ulrich Radig 2008 <BR><BR></p>\r\n"
	"</body></html>\r\n"
	"\r\n"
	"%END"};	

//----------------------------------------------------------------------------
//Status Seite
PROGMEM char Page2[] = {
"<blockquote>\r\n"
"<body><div align=\"center\">\r\n"
"<h1>Status Page</h1>\r\n"
"</div><BR>\r\n"
"<div>Compiliert am "__DATE__" um " __TIME__"<vr> mit GCC Version "__VERSION__"</div>\r\n"
"<div>Besucher seit Start des Webservers: %VA@99</div>\r\n"    // %VA@99 Besucherzhler

#if USE_NTP
"<BR><div>Aktuelle Zeit: %TIME</div>\r\n"
#endif

"<BR><BR> <p align=\"left\"> <h2></h2><BR>\r\n"
"<p><a href=\"index.htm\">Hauptseite</a></p><BR>\r\n"

"<BR><BR><p align=\"left\"> <h2></h2><BR>\r\n"
"<p><a href=\"http://www.ulrichradig.de\">www.ulrichradig.de<br>\r\n"
"</a><br>Ulrich Radig 2007</p><BR></small>\r\n"
"</body></html>\r\n"
"%END"};

//----------------------------------------------------------------------------
	
//Nur Dateiname und Pointer eintragen	
WEBPAGE_ITEM WEBPAGE_TABLE[] = // Befehls-Tabelle
{
	{"index.htm",Page1},
	{"status.htm",Page2},
	{NULL,NULL} 
};

#endif //_WEBPAGE_H,0x00
